#pragma once

#include <cstdint>

struct Pixel {
    uint8_t r;
    uint8_t g;
    uint8_t b;
};

struct Frame {
    uint32_t width;
    uint32_t height;
    Pixel* data;

    Frame(uint32_t width, uint32_t height);
    Frame(const Frame& other);
    Frame& operator=(const Frame& other);
    Frame(Frame&& other);
    ~Frame();

    void fill(uint8_t p);
};
